---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_CalculateDateMethod;'
    inherits:  '&IDC_Method;'
    name:      CD - Calculate Date Method
    index:     92
    customTagName: calculateDateMethod
    defaultTask: '&IDI_Task_ViewCalculateDateMethod;'
    instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name_CD;'
    superclasses:
    - instance: '&IDC_Method;'
    - instance: '&IDC_ExecutableReturningAttribute;'
    relatedTasks:
    - instance: '&IDI_Task_ViewCalculateDateMethod;'
    - instance: '&IDI_Task_EditCalculateDateMethod;'
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    relationships:
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'
    # - instance: '&IDR_Assign_Attribute_Method__uses__Executable_returning_Attribute;'
    #   customTagName: 'usesExecutableReturningAttribute'
    # - instance: '&IDR_Assign_Attribute_Method__assigns__Attribute;'
    #   customTagName: 'assignsAttribute'

  # hmm... what's this?
  # 3$9824 Assignment Method.assigns attribute or relationship from Executable returning Instance Set 
  # 3$9825 Executable returning Instance Set.returns assign attribute or relationship for Assignment Method 

  # - relationship: '&IDR_Assign_Attribute_Method__uses__Executable_returning_Attribute;'
  #   index: 139
  #   sourceClassId: '&IDC_AssignAttributeMethod;'
  #   type: 'uses'
  #   destinationClassId: '&IDC_ExecutableReturningAttribute;'
  #   siblingRelationshipId: '&IDR_Executable_returning_Attribute__used_by__Assign_Attribute_Method;'
  #   singular: no

  # - relationship: '&IDR_Executable_returning_Attribute__used_by__Assign_Attribute_Method;'
  #   index: 140
  #   sourceClassId: '&IDC_ExecutableReturningAttribute;'
  #   type: 'used by'
  #   destinationClassId: '&IDC_AssignAttributeMethod;'
  #   siblingRelationshipId: '&IDR_Assign_Attribute_Method__uses__Executable_returning_Attribute;'
  #   singular: no

  # - relationship: '&IDR_Assign_Attribute_Method__assigns__Attribute;'
  #   index: 141
  #   sourceClassId: '&IDC_AssignAttributeMethod;'
  #   type: 'assigns'
  #   destinationClassId: '&IDC_Attribute;'
  #   siblingRelationshipId: '&IDR_Attribute__assigned_by__Assign_Attribute_Method;'
  #   singular: no

  # - relationship: '&IDR_Attribute__assigned_by__Assign_Attribute_Method;'
  #   index: 142
  #   sourceClassId: '&IDC_Attribute;'
  #   type: 'assigned by'
  #   destinationClassId: '&IDC_AssignAttributeMethod;'
  #   siblingRelationshipId: '&IDR_Assign_Attribute_Method__assigns__Attribute;'
  #   singular: no
